Updates a custom constraint.
Returns a google.rpc.Status with google.rpc.Code.NOT_FOUND if the constraint does not exist.
Note: the supplied policy will perform a full overwrite of all fields.
HTTP request
PATCH https://orgpolicy.googleapis.com/v2/{customConstraint.name=organizations/*/customConstraints/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customConstraint.name |
Immutable. Name of the constraint. This is unique within the organization. The name must be of the form:
Example: The max length is 71 characters and the minimum length is 1. Note that the prefix |
Request body
The request body contains an instance of CustomConstraint.
Response body
If successful, the response body contains an instance of CustomConstraint.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/organizationpolicy
For more information, see the Authentication Overview.